# -*- coding: utf-8 -*-

def on_seos(graaf, i, j):
    return bool(graaf[i][j])

def astak(graaf, tipp):
    """
    Tagastab tipu astaku:
    sealt väjuvate soste arvu
    """
    return sum(graaf[tipp])

def tippude_arv(graaf):
    return len(graaf)

def graaf_failist(fn):
    """
    Loeb failist nimega fn graafi seosemaatriksi.
    Seosemaatriksi read peavad olema failis eraldatud reavahetustega.
    Elemendid peavad olema eraldatud komadega.
    """
    f = open(fn)
    tulem = []
    for failirida in f.readlines():
        tulemirida = []
        for seoseStr in failirida.split(","):
            tulemirida.append(int(seoseStr))
        tulem.append(tulemirida)
    return tulem

def suurim_astak(fn):
    """
    Tagastab suurima astakuga tipu indeksi graafile, 
    mille seosemaatriks on kirjeldatud failis nimega fn.
    """
    graaf = graaf_failist(fn)
    seni_suurim_astak = -1
    for tipu_indeks in range(tippude_arv(graaf)):
        if astak(graaf, tipu_indeks) > seni_suurim_astak:
            seni_suurim_astak = astak(graaf, tipu_indeks)
            tulem = tipu_indeks
    return tulem
        
    
if __name__ == "__main__":
    linnade_graaf = [[0, 1, 0, 1, 1],
                     [1, 0, 1, 0, 0],
                     [0, 1, 0, 0, 0],
                     [1, 0, 0, 0 ,0],
                     [1, 0, 0, 0, 0]]

    linnaindeksid = {"Tallinn": 0,
                  "Kohtla-Jarve": 1,
                  "Narva": 2,
                  "Parnu": 3,
                  "Tartu": 4}

    print(suurim_astak("linnadegraaf.txt"))
    #print(graaf_failist("linnadegraaf.txt"))
